BizKitHub
DocsAPI ReferenceCron/bff/cron/job-list
getCronAdmin BFF

/bff/cron/job-list

First / last run, run counts, average and p95 duration, success rate, currently running runs, tier, schedule and missed-run state (isMissed, lastExpectedDate, nextExpectedDate).

CrongetBffCronJob-list

Parameters

7 query

Query parameters

· 7
searchstringOptional
Exampleexample_search
filterFulltextQuerystringOptional
Exampleexample_filterFulltextQuery
lastStatusstringOptional

Status of the latest run (running, success, error, timeout) or missed (scheduled job did not start).

Exampleexample_lastStatus
tierstringOptional

Scheduler bucket of the latest run, e.g. nightly.

Exampleexample_tier
namespacestringOptional

Application prefix of the code (scout for scout:*).

Exampleexample_namespace
pagestringOptional
Exampleexample_page
limitstringOptional
Exampleexample_limit

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/cron/job-list

get
curl -X GET "https://api.bizkithub.com/bff/cron/job-list?search=example_search&filterFulltextQuery=example_filterFulltextQuery&lastStatus=example_lastStatus&tier=example_tier&namespace=example_namespace&page=example_page&limit=example_limit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key